> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get MatrixPlateSchema by ID

GET https://{tenant_name}.benchling.com/api/v3/matrix-plate-schema/{matrix_plate_schema_id}

Get a single MatrixPlateSchema by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/matrix-plate-schema/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `matrix_plate_schema_id` (string, required) — ID of the MatrixPlateSchema.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable) — Why the schema was archived.
- `archived` (boolean, optional) — Whether the schema is archived.
- `containerSchema` (ContainerSchemaRef, optional, nullable) — The container schema used for positions in plates of this schema.
- `createdAt` (string, optional) — When the schema was created.
- `description` (string, optional) — A description of the schema.
- `fieldDefinitions` (string, optional) — The fields inherited by plates of this schema.
- `height` (integer, optional) — The number of rows in plates of this schema.
- `id` (string, optional) — The ID of the schema.
- `modifiedAt` (string, optional) — When the schema was last modified.
- `name` (string, optional) — The name of the schema.
- `prefix` (string, optional) — The prefix of barcodes autogenerated for plates of this schema.
- `registry` (RegistryRef, optional) — The schema's registry.
- `systemName` (string, optional) — A unique, stable identifier for this schema used for programmatic access and integrations.
- `width` (integer, optional) — The number of columns in plates of this schema.

## Errors

### 400 Matrix Plate Schema Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Matrix Plate Schema Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Matrix Plate Schema Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Matrix Plate Schema Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Matrix Plate Schema Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### ContainerSchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

### RegistryRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "containerSchema": {
    "__typename": "__typename",
    "id": "id"
  },
  "createdAt": "createdAt",
  "description": "description",
  "fieldDefinitions": "fieldDefinitions",
  "height": 1,
  "id": "id",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "prefix": "prefix",
  "registry": {
    "__typename": "__typename",
    "id": "id"
  },
  "systemName": "systemName",
  "width": 1
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/matrix-plate-schema/matrix_plate_schema_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/matrix-plate-schema/matrix_plate_schema_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```